.vme + .buy_block {
    width: 75%;
}

div[data-onevalue="417"],
div[data-id="573"] {
    display: none;
}

.catalog-detail {
    display: flex;
    flex-direction: row;
    position: relative;
}

.catalog-detail img {
    display: inline-block;
    margin: 0 auto;
    max-height: 100%;
    max-width: 100%;
}

.catalog-detail__right-info {
    margin-bottom: 2.89rem;
    order: 1;
    padding-left: 48px;
    width: 400px;
}

.catalog-detail__main {
    flex-basis: calc(58% - 9px);
    flex-grow: 1;
    flex-shrink: 0;
}

.with-leftblock .catalog-detail__main {
    flex-basis: calc(48% - 19px);
}

.catalog-detail__info-tc {
    margin: -16px 0 0px 0;
}

.catalog-detail__info-tech {
    margin: 13px 0 0 0;
}

body .catalog-detail__main-parts {
    align-items: flex-start;
}

.catalog-detail__main-part--right {
    /* max-width: 396px; */
    width: 100%;
}

@media (min-width: 1200px) {
    .catalog-detail__item,
    .catalog-detail__right-info {
        min-width: 0; /* fix slider in flex */
    }

    /* .with-leftblock .catalog-detail__main-part--left {
      display: none;
    } */
}

@media (max-width: 1199px) {
    body .catalog-detail {
        display: block;
    }

    .catalog-detail__right-info {
        display: none;
    }

    .catalog-detail .catalog-detail__top-info {
        flex-direction: column;
    }

    .catalog-detail .catalog-detail__main {
        flex-basis: auto;
        padding: 35px 0 0 0;
    }

    .detail-gallery-big--with-video + .catalog-detail__main {
        padding: 57px 0 0;
    }

    .catalog-detail__info-tc {
        margin-left: -48px;
        margin-top: 0;
        padding-left: 48px;
    }
}

@media (min-width: 768px) {
    .catalog-detail__main-part .catalog-detail__info-tc {
        display: none;
    }
}

@media (max-width: 767px) {
    body .catalog-detail__top-info {
        /* padding-left: 24px;
        padding-right: 24px; */
        padding-top: 24px;
    }

    body .catalog-detail__info-tc {
        margin-bottom: 17px;
        margin-left: -24px;
        margin-right: -24px;
        padding-bottom: 17px;
        padding-left: 24px;
        padding-right: 24px;
    }

    body .catalog-detail__main-part {
        width: 100%;
    }

    .bx-ie body .catalog-detail__main-part {
        flex-basis: auto;
    }

    body .catalog-detail__main-parts {
        flex-direction: column;
    }

    .catalog-detail .catalog-detail__main {
        padding-top: 44px;
    }
}

/* stickers */
.catalog-detail__sticker-wrapper .sticker {
    position: static;
    margin: 0 -2px;
}

.catalog-detail__sticker-wrapper .sticker__item {
    --sticker-height: 23px;
}

/**/

/* buy block */
.catalog-detail__buy-block {
    position: relative;
}

.catalog-detail__buy-block .counter__count-wrapper {
    max-width: 128px;
}

.catalog-detail__buy-block .btn-wide .counter {
    width: 100%;
}

.catalog-detail__buy-block .btn-lg .counter__action {
    flex-grow: 1;
}

/* countdown */
.catalog-detail__countdown .countdown {
    margin: 7px 0 0 0;
}

/* price */
.catalog-detail__price .price__old {
    margin-top: -1px;
}

.catalog-detail__price .price__economy {
    margin: 0px 0 0 4px;
}

/* cart buttons block */
.line-block:not(.hidden) + .catalog-detail__cart:not(.hidden) {
    margin-top: 19px;
}

.catalog-detail__cart .buttons + .info-buttons {
    margin-top: 0;
    margin-left: -6px;
    margin-right: -6px;
}

.catalog-detail__cart .buttons + .info-buttons > .info-buttons__item {
    margin-top: 12px;
    margin-right: 6px;
    margin-left: 6px;
}

.catalog-detail__cart .buttons + .info-buttons > .info-buttons__item--question .btn.btn-default {
    margin-left: 0 !important;
}

@media (max-width: 767px) {
    .catalog-detail__cart .buttons + .info-buttons {
        flex-wrap: wrap;
    }
}

/* garanty */
.catalog-detail__garanty {
    position: relative;
}

/* more link */
.catalog-detail .more-char-link {
    cursor: pointer;
    color: #9e9e9e;
    color: var(--white_text_black);
}

/* preview text */
.line-block + .catalog-detail__previewtext {
    margin: 25px 0 0 0;
}

.catalog-detail__previewtext .text-block {
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: calc(1em + 10px);
}

/* hack */
.bx-ios .catalog-detail__previewtext .text-block,
.bx-mac .catalog-detail__previewtext .text-block {
    max-height: calc(2rem * 3);
}

.catalog-detail__previewtext .text-block > p {
    display: inline;
}

/* chars */
@media (min-width: 768px) {
    .catalog-detail .char-side {
        margin: 2px 0 0 0;
    }
}

.detail .catalog-detail .properties {
    margin-top: 13px;
}

.catalog-detail .properties__item {
    margin-top: 6px;
}

.catalog-detail .props_block .char_name .hint {
    display: inline;
    position: relative;
    padding-left: 3px;
}

.catalog-detail .price_txt {
    margin: 13px 0 0 0;
}

/* bottom */
.catalog-detail__bottom-info-part--right {
    width: 400px;
    padding-left: 48px;
    order: 1;
    margin-top: 2.89rem;
    margin-bottom: 2.89rem;
}

.catalog-detail__bottom-info .ordered-block:first-of-type {
    margin-top: 2.89rem;
}

.catalog-detail__bottom-info .ordered-block.tabs-block {
    margin: 3.25rem 0px -0.55rem;
}

.catalog-detail__bottom-info-part--right .sticky-block > *:last-of-type {
    margin-bottom: 0;
}

@media (min-width: 1200px) {
    .catalog-detail__bottom-info-part {
        min-width: 0; /* fix slider in flex */
    }
}

@media (max-width: 1199px) {
    body .catalog-detail__bottom-info-parts {
        display: block;
    }

    .catalog-detail__bottom-info-part--right {
        display: none;
    }

    .detail-gallery-big.detail-gallery-big--horizontal.image-list__link {
        position: static;
    }
}

/* popup video */
.popup_video {
    display: block;
    font-size: 0;
    height: 32px;
    margin: 16px;
    position: relative;
    width: 32px;
    z-index: 1;
}

/* table sizes */
.table-sizes .svg {
    margin-right: 9px;
}

[data-js-block] {
    display: none;
}

@media (max-width: 600px) {
    .catalog-detail__sticker-wrapper .sticker {
        margin-bottom: 6px;
    }

    .catalog-detail__main h1 {
        margin-bottom: 3px;
    }

    .catalog-detail__info-tech {
        margin: 0px;
    }

    .catalog-detail__info-tc > .line-block {
        align-items: center;
    }

    .catalog-detail__main .catalog-detail__info-tc {
        margin: 0px;
        padding: 2px 0px 0px;
    }

    .catalog-detail__main-parts {
        padding-top: 0px;
    }

    .detail .catalog-detail .properties {
        margin-top: 8px;
    }

    .detail .catalog-detail__buy-block.shadow {
        box-shadow: none;
        padding: 0px 0px 0px;
        background: transparent;
        margin-bottom: 0;
    }

    .detail .catalog-detail__cell-block {
        padding: 15px 17px;
    }

    .catalog-detail__price .price__new-val {
        font-size: 1.75rem;
    }

    .line-block:not(.hidden) + .catalog-detail__cart:not(.hidden) {
        margin-top: 10px;
    }

    .catalog-detail__main-part .btn-ocb {
        --button-height: 47px;
        --button-font-size: 1rem;
        --button-pl: 24px;
        --button-pr: 24px;
    }

    .catalog-detail .price_txt {
        margin: -3px 0 0 0;
    }

    .catalog-detail__bottom-info .ordered-block.tabs-block {
        margin: 24px 0px -0.55rem;
    }

}

.selector_part {
    display: flex;
    justify-content: center;
    align-items: end;
    padding: 7px;
}

.selector_part span {
    color: #262626;
    cursor: pointer;
    border: 1px solid;
    border-radius: 9px;
    padding: 0px 25px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.selector_part span.active {
    border-radius: 9px;
    border: 1px solid transparent;
    background: #000;
    color: #fff;
}

.grid-list__item.catalog-detail__offers {
    margin: 17px 0 30px;
}

.catalog-detail__top-info .detail-gallery-big {
    margin: 0 auto;
    max-width: calc(54% + 41px);
    padding: 0 41px 0 0;
    position: relative;
    min-height: 1100px;
}

.catalog_page .detail .detail-gallery-big-slider .detail-gallery-big__item img {
    display: block;
    vertical-align: middle;
    height: auto;
    width: 100%;
    max-width: 533px;
    object-fit: cover;
}

.counter__count {
    min-width: 50px;
}

.catalog-detail__top-info .catalog-detail__main {
    flex-basis: calc(45% - 9px);
    flex-grow: 1;
    flex-shrink: 0;
}

.catalog-detail__top-info .catalog-detail__main-part--right {
    /* max-width: 450px; */
    width: 100%;
}

.line-block.lroll {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

.QUANTITY_INSTOCK {
    font-size: 12px;
}

.more_colors {
    margin-top: 35px;
    display: block;
}

body .more_colors .catalog-block__info {
    padding: 15px;
}

body .more_colors .catalog-block__info-bottom {
    padding-left: 15px;
    margin-top: 0;
}

body .more_colors .catalog-block__wrapper:hover .catalog-block__info-bottom {
    padding-left: 0px;
}

.detail-gallery-big-wrapper {
    position: relative;
    height: 800px;
}

.catalog_page .catalog-detail__cell-block.shadow {
    box-shadow: none;
    position: relative;
}

.catalog_page .catalog-detail__cell-block {
    padding: 0;
    margin-bottom: 15px;
}

.catalog_page .btn.btn-lg {
    --button-height: 40px;
}

body .buy_block .item-action--basket {
    width: 100%;
}

.catalog-detail__info-tc .line-block__item .flexbox .js-replace-icons {
    margin-top: 0px;
}

.line-block__item .selector_part {
    justify-content: flex-start;
    padding: 10px 0px 5px;
    flex-wrap: wrap;
    gap: 10px;
}
#main > div.body.hover_ > div.main.banner-auto > div.container > div > div > div > div > div > div > div.product-container.detail.element_1.clearfix > div > div > div.catalog-detail__top-info.rounded-4.flexbox.flexbox--direction-row.flexbox--wrap-nowrap > div.catalog-detail__main > div.catalog-detail__main-parts.line-block.line-block--40 > div > div:nth-child(1) > div > div.line-block.line-block--20.line-block--16-vertical.line-block--align-normal.flexbox--wrap.flexbox--justify-beetwen {
    flex-direction: column;
    align-items: flex-start !important;
    width: 100%;
    max-width: 100%;
}
.catalog-detail__buy-block .line-block--flex-100 > .line-block__item,
.buy_block .line-block__item {
    width: 100%;
}
.buy_block .line-block__item {
    gap: 10px;
}
.catalog_page .font_24 {
    font-size: 1.7rem;
    line-height: calc(1.5em + 7px);
}
.cntmeters-custom .not-available-card svg {
    position: relative;
    top: 3px;
}

.cntmeters-custom .not-available-card {
    color: #37d7ff;
}
.cntmeters-custom {
    padding: 10px 0 0 10px;
}
.grid-list__item .cntmeters {
    font-size: 1rem;
    display: none !important;
}
.cntmeters-custom.cntmeters {
    display: block !important;
}
.cntmeters svg,
.cntmeters-custom svg {
    position: relative;
    top: 2px;
}
.catalog_page .price-economy__val.sticker__item--stock {
    color: #ffeb81;
}

.price-lines .price {
    color: #000;
    font-size: 30px;
    font-weight: bold;
}

.price-lines .price-line {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #000;
    margin-bottom: 10px;
}

/*.sku-props__item .line-block.line-block--6 .line-block__item:first-child {
    display: none !important;
}*/
/*.sku-props__item .line-block.line-block--6 .line-block__item:nth-child(2) a:before {
    content: "";
    display: block;
    border-radius: var(--border-radius);
    position: absolute;
    inset: -4px;
    box-shadow: 0 0 0 2px #262626 inset;
}*/

.catalog_page .price-economy__val {
    --economy-height: 21px;
    display: flex;
    align-items: center;
    background: #222;
    padding: 5px 10px;
    border-radius: calc(var(--border-radius) - 2px);
    height: auto;
}

.catalog_page .price-economy__val.font_12 {
    font-size: 0.95rem;
    line-height: calc(1em + 7px);
}

.sku-props__item .lroll .line-block__item {
    width: 100%;
}

.sku-props__item .lroll .line-block__item:nth-child(1) {
    display: none;
}

.catalog_page .slider-nav {
    box-shadow: none;
}

/*.sku-props__item .lroll .line-block__item:nth-child(2){
    margin-left: -8px;
}*/

.video-thumb-new {
    display: flex;
    align-items: center;
    width: 64px;
    height: 64px;
    justify-content: center;
}
#thumb-photo-821589215672658715,
#thumb-photo-821589215672658715 .gallery__item {
    padding: 0 !important;
}
#thumb-photo-821589215672658715 .gallery__item {
    margin-left: -2px !important;
}
.video-thumb-new video {
    min-width: 34px;
    width: 34px !important;
    height: 51px !important;
    object-fit: cover;
    border-radius: 6px !important;
}
#big-photo-821589215672658715 video {
    display: block;
    vertical-align: middle;
    margin: 0px auto !important;
    height: 100%;
    width: 100%;
    max-width: 533px;
    object-fit: cover;
}
.big-video-new {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.catalog-detail__main .cc-price__row .price {
    font-size: 25px;
}
.catalog-detail__main .cc-price__row {
    font-size: 16px;
}

@media screen and (max-width: 768px) {
    body .btn.btn-default.in_cart {
        min-width: 140px;
    }
    body .buy_block .item-action--basket {
        max-width: 130px;
    }
    .catalog-detail__top-info .detail-gallery-big {
        min-height: auto;
        max-width: 100%;
        padding: 0;
    }
    .detail-gallery-big-wrapper {
        height: 400px;
        padding-top: 0px !important;
    }
    .detail-gallery-big-slider-main {
        max-width: 100%;
        width: 100%;
    }
    .gallery-wrapper__aspect-ratio-container {
        position: relative;
    }
}

#thumb-photo-video {
    justify-content: center;
}